package dao

import "code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"

type SuperCloudIssuanceUserRobotWithActivateGroupDao interface {
	GetSuperCloudIssuanceUserRobotWithActivateGroupByChatRoomId(chatRoomId string, robotId int) (m *models.SuperCloudIssuanceUserRobotWithActivateGroup, err error)
	GetSuperCloudIssuanceUserRobotWithActivateGroup(id int) (m *models.SuperCloudIssuanceUserRobotWithActivateGroup, err error)
	FindSuperCloudIssuanceUserRobotWithActivateGroup(uid, page, pageSize int, name string) (m []*models.SuperCloudIssuanceUserRobotWithActivateGroup, err error)
	FindSuperCloudIssuanceUserRobotWithActivateGroupWithSource(uid, page, pageSize int) (m []*FindSuperCloudIssuanceUserRobotWithActivateGroupWithSourceResponse, total int64, err error)
	InsertSuperCloudIssuanceUserRobotWithActivateGroup(m *models.SuperCloudIssuanceUserRobotWithActivateGroup) (id int, err error)
	DelSuperCloudIssuanceUserRobotWithActivateGroup(id int) (int64, error)
	SaveSuperCloudIssuanceUserRobotWithActivateGroup(id interface{}, m *models.SuperCloudIssuanceUserRobotWithActivateGroup, forceColums ...string) (affected int64, err error)
}

type FindSuperCloudIssuanceUserRobotWithActivateGroupWithSourceResponse struct {
	Id                      int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                     int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	Name                    string `json:"name" xorm:"not null default '' comment('群名称') VARCHAR(255)"`
	RobotId                 int    `json:"robot_id" xorm:"not null default 0 comment('机器人id') INT(11)"`
	ChatRoomId              string `json:"chat_room_id" xorm:"not null default '' comment('微信群id') VARCHAR(255)"`
	ChatRoomOwnerWxNickname string `json:"chat_room_owner_wx_nickname" xorm:"not null default '' comment('群所有者微信昵称') VARCHAR(255)"`
	ChatRoomOwnerWxHeadUrl  string `json:"chat_room_owner_wx_head_url" xorm:"not null default '' comment('群所有者微信头像') VARCHAR(255)"`
	ChatRoomOwner           string `json:"chat_room_owner" xorm:"not null default '' comment('群所有者') VARCHAR(255)"`
	MemberCount             int    `json:"member_count" xorm:"not null default 0 comment('群成员数') INT(11)"`
	BigHeadImgUrl           string `json:"big_head_img_url" xorm:"not null default '' comment('大的群头像') VARCHAR(255)"`
	SmallHeadImgUrl         string `json:"small_head_img_url" xorm:"not null default '' comment('小的群头像') VARCHAR(255)"`
	State                   int    `json:"state" xorm:"not null default 1 comment('状态(1正常 2暂停)') TINYINT(1)"`
	CreateAt                string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`

	SourceActivateGroupId int    `json:"source_activate_group_id" xorm:"not null default 0 comment('源头激活群id') INT(11)"`
	SourceName            string `json:"source_name" xorm:"not null default 0 comment('源头群名称') INT(11)"`
	Desc                  string `json:"desc" xorm:"not null comment('源头介绍') TEXT"`
}
