package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type HappyOrchardUserWatersDb struct {
	Db   *xorm.Engine
	Sess *xorm.Session
}

func (h HappyOrchardUserWatersDb) UpdateHappyOrchardUserWatersBySess(uid int, m *models.HappyOrchardUserWaters, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = h.Sess.Where("uid=?", uid).Cols(forceColums...).Update(m)
	} else {
		affected, err = h.Sess.Where("uid=?", uid).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (h HappyOrchardUserWatersDb) UpdateHappyOrchardUserWaters(uid int, m *models.HappyOrchardUserWaters, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = h.Db.Where("uid=?", uid).Cols(forceColums...).Update(m)
	} else {
		affected, err = h.Db.Where("uid=?", uid).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (h HappyOrchardUserWatersDb) GetHappyOrchardUserWaters(uid int) (m *models.HappyOrchardUserWaters, err error) {
	m = new(models.HappyOrchardUserWaters)
	has, err := h.Db.Where("uid =?", uid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (h HappyOrchardUserWatersDb) GetHappyOrchardUserWatersSess(uid int) (m *models.HappyOrchardUserWaters, err error) {
	m = new(models.HappyOrchardUserWaters)
	has, err := h.Sess.Where("uid =?", uid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func NewHappyOrchardUserWatersDb(engine *xorm.Engine) dao.HappyOrchardUserWatersDao {
	return &HappyOrchardUserWatersDb{Db: engine}
}

func NewHappyOrchardUserWatersSess(sess *xorm.Session) dao.HappyOrchardUserWatersDao {
	return &HappyOrchardUserWatersDb{Sess: sess}
}
