﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserGroupManageDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserGroupManageDao {
	return &SuperCloudIssuanceUserGroupManageDb{Db: engine}
}

type SuperCloudIssuanceUserGroupManageDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserGroupManageDb) SaveSuperCloudIssuanceUserGroupManage(id interface{}, m *models.SuperCloudIssuanceUserGroupManage, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserGroupManageDb) InsertSuperCloudIssuanceUserGroupManage(m *models.SuperCloudIssuanceUserGroupManage) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserGroupManageDb) GetSuperCloudIssuanceUserGroupManage(uid int) (m *models.SuperCloudIssuanceUserGroupManage, err error) {
	m = new(models.SuperCloudIssuanceUserGroupManage)
	has, err := s.Db.Where("uid =?", uid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
