package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"reflect"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserGroupManageWhiteListDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserGroupManageWhiteListDao {
	return &SuperCloudIssuanceUserGroupManageWhiteListDb{Db: engine}
}

type SuperCloudIssuanceUserGroupManageWhiteListDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserGroupManageWhiteListDb) SuperCloudIssuanceUserGroupManageWhiteListDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return s.Db.In("id", id).Delete(models.SuperCloudIssuanceUserGroupManageWhiteList{})
	} else {
		return s.Db.Where("id = ?", id).Delete(models.SuperCloudIssuanceUserGroupManageWhiteList{})
	}
}

func (s SuperCloudIssuanceUserGroupManageWhiteListDb) BatchSuperCloudIssuanceUserGroupManageWhiteList(list []*models.SuperCloudIssuanceUserGroupManageWhiteList) (int64, error) {
	affected, err := s.Db.Insert(list)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (s SuperCloudIssuanceUserGroupManageWhiteListDb) SaveSuperCloudIssuanceUserGroupManageWhiteList(id interface{}, m *models.SuperCloudIssuanceUserGroupManageWhiteList, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserGroupManageWhiteListDb) FindAndCountSuperCloudIssuanceUserGroupManageWhiteList(uid int) (m []*models.SuperCloudIssuanceUserGroupManageWhiteList, total int64, err error) {
	total, err = s.Db.Where("uid=?", uid).OrderBy("id DESC").FindAndCount(&m)
	return
}

func (s SuperCloudIssuanceUserGroupManageWhiteListDb) FindSuperCloudIssuanceUserGroupManageWhiteList(uid int, name string) (resp []*dao.FindSuperCloudIssuanceUserGroupManageWhiteListResponse, err error) {
	if name == "" {
		err = s.Db.Table("super_cloud_issuance_user_robot_with_activate_group").
			Join("LEFT", "super_cloud_issuance_user_group_manage_white_list", "super_cloud_issuance_user_robot_with_activate_group.id = super_cloud_issuance_user_group_manage_white_list.activate_group_id").
			Where("super_cloud_issuance_user_robot_with_activate_group.uid = ?", uid).
			OrderBy("super_cloud_issuance_user_robot_with_activate_group.id DESC").
			Cols("super_cloud_issuance_user_group_manage_white_list.id, super_cloud_issuance_user_group_manage_white_list.uid," +
				"super_cloud_issuance_user_group_manage_white_list.create_at, super_cloud_issuance_user_group_manage_white_list.update_at," +
				"super_cloud_issuance_user_robot_with_activate_group.name, super_cloud_issuance_user_robot_with_activate_group.robot_id," +
				"super_cloud_issuance_user_robot_with_activate_group.chat_room_id, super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_nickname," +
				"super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_head_url, super_cloud_issuance_user_robot_with_activate_group.chat_room_owner," +
				"super_cloud_issuance_user_robot_with_activate_group.member_count, super_cloud_issuance_user_robot_with_activate_group.big_head_img_url, super_cloud_issuance_user_robot_with_activate_group.small_head_img_url").
			Find(&resp)
	} else {
		err = s.Db.Table("super_cloud_issuance_user_robot_with_activate_group").
			Join("LEFT", "super_cloud_issuance_user_group_manage_white_list", "super_cloud_issuance_user_robot_with_activate_group.id = super_cloud_issuance_user_group_manage_white_list.activate_group_id").
			Where("super_cloud_issuance_user_robot_with_activate_group.uid = ?", uid).
			And("super_cloud_issuance_user_robot_with_activate_group.name like ?", name).
			OrderBy("super_cloud_issuance_user_robot_with_activate_group.id DESC").
			Cols("super_cloud_issuance_user_group_manage_white_list.id, super_cloud_issuance_user_group_manage_white_list.uid," +
				"super_cloud_issuance_user_group_manage_white_list.create_at, super_cloud_issuance_user_group_manage_white_list.update_at," +
				"super_cloud_issuance_user_robot_with_activate_group.name, super_cloud_issuance_user_robot_with_activate_group.robot_id," +
				"super_cloud_issuance_user_robot_with_activate_group.chat_room_id, super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_nickname," +
				"super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_head_url, super_cloud_issuance_user_robot_with_activate_group.chat_room_owner," +
				"super_cloud_issuance_user_robot_with_activate_group.member_count, super_cloud_issuance_user_robot_with_activate_group.big_head_img_url, super_cloud_issuance_user_robot_with_activate_group.small_head_img_url").
			Find(&resp)
	}
	return
}
