package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_utils "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"errors"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindFollowGroupDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindFollowGroupDao {
	return &SuperCloudIssuanceUserRobotBindFollowGroupDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindFollowGroupDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) FindSuperCloudIssuanceUserRobotBindFollowGroup(params map[string]interface{}) ([]*models.SuperCloudIssuanceUserRobotBindFollowGroup, error) {
	var m []*models.SuperCloudIssuanceUserRobotBindFollowGroup
	if params["value"] == nil {
		return nil, errors.New("参数有误")
	}
	if params["key"] == nil {
		//查询全部数据
		err := s.Db.Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return m, nil
	} else {
		if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
			//指定In查询
			if err := s.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
				return nil, zhios_order_relate_logx.Warn(err)
			}
			return m, nil
		} else {
			var query = fmt.Sprintf("%s =?", params["key"])
			err := s.Db.Where(query, params["value"]).Find(&m)
			if err != nil {
				return nil, zhios_order_relate_logx.Error(err)
			}
			return m, nil
		}

	}
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) GetCloudIssuanceUserRobotBindFollowGroup(id int) (m *models.SuperCloudIssuanceUserRobotBindFollowGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindFollowGroup)
	has, err := s.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) GetCloudIssuanceUserRobotBindFollowGroupByBindId(bandId int) (m []*models.SuperCloudIssuanceUserRobotBindFollowGroup, err error) {
	err = s.Db.Where("follow_activate_group_id =?", bandId).Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) InsertCloudIssuanceUserRobotBindFollowGroup(m *models.SuperCloudIssuanceUserRobotBindFollowGroup) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) BatchAddCloudIssuanceUserRobotBindFollowGroups(data []*models.SuperCloudIssuanceUserRobotBindFollowGroup) (int64, error) {
	affected, err := s.Db.Insert(data)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) SaveCloudIssuanceUserRobotBindFollowGroup(id interface{}, m *models.SuperCloudIssuanceUserRobotBindFollowGroup, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserRobotBindFollowGroupDb) DeleteCloudIssuanceUserRobotBindFollowGroup(bindId interface{}) (affected int64, err error) {
	_, err = s.Db.Where("activate_group_id=?", bindId).Delete(models.SuperCloudIssuanceUserRobotBindFollowGroup{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}
