package models

type HappyOrchardRewardExchangeRecords struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Uid                 int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	RewardId            int    `json:"reward_id" xorm:"not null default 0 comment('奖品id') INT(11)"`
	RewardName          string `json:"reward_name" xorm:"default '' comment('奖品名称') VARCHAR(255)"`
	RewardKind          int    `json:"reward_kind" xorm:"not null default 1 comment('奖品类型(1:赠送商品 2:虚拟商品)') TINYINT(1)"`
	SeedId              int    `json:"seed_id" xorm:"not null default 0 comment('种子id') INT(11)"`
	SeedName            string `json:"seed_name" xorm:"not null default '' comment('种子名称') VARCHAR(255)"`
	WaterNums           int    `json:"water_nums" xorm:"not null default 0 comment('所需水滴数') INT(11)"`
	State               int    `json:"state" xorm:"not null default 0 comment('兑换状态(1:未发放 2:已发放)') TINYINT(1)"`
	RecordId            int    `json:"record_id" xorm:"default 0 INT(11)"`
	Detail              string `json:"detail" xorm:"not null default '' comment('收货地址') VARCHAR(255)"`
	Receiver            string `json:"receiver" xorm:"not null default '' comment('收货人') CHAR(50)"`
	ReceiverPhone       string `json:"receiver_phone" xorm:"not null default '' comment('收货人手机号') CHAR(50)"`
	LogisticCompany     string `json:"logistic_company" xorm:"not null default '' comment('物流公司') VARCHAR(255)"`
	LogisticCompanyCode string `json:"logistic_company_code" xorm:"not null default '' comment('物流公司代号') CHAR(50)"`
	LogisticNum         string `json:"logistic_num" xorm:"default '' comment('物流单号') VARCHAR(255)"`
	DeliveryAt          string `json:"delivery_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('发货时间') DATETIME"`
	CreateAt            string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt            string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
