package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models/official/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

// MasterB2cOrderStatisticsInsert 插入单条数据
func MasterB2cOrderStatisticsInsert(officialDb *xorm.Engine, MasterB2cOrderStatistics *model.MasterB2cOrderStatistics) (int, error) {
	_, err := officialDb.InsertOne(MasterB2cOrderStatistics)
	if err != nil {
		return 0, err
	}
	return MasterB2cOrderStatistics.Id, nil
}

func GetMasterB2cOrderStatistics(officialDb *xorm.Engine, masterId int, date string) (m *model.MasterB2cOrderStatistics, err error) {
	m = new(model.MasterB2cOrderStatistics)
	has, err := officialDb.Where("master_id =?", masterId).And("date =?", date).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func MasterB2cOrderStatisticsUpdate(officialDb *xorm.Engine, id interface{}, m *model.MasterB2cOrderStatistics, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = officialDb.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = officialDb.Where("id=?", id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
