package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models/official/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

// MasterO2oOrderStatisticsInsert 插入单条数据
func MasterO2oOrderStatisticsInsert(officialDb *xorm.Engine, MasterO2oOrderStatistics *model.MasterO2oOrderStatistics) (int, error) {
	_, err := officialDb.InsertOne(MasterO2oOrderStatistics)
	if err != nil {
		return 0, err
	}
	return MasterO2oOrderStatistics.Id, nil
}

func GetMasterO2oOrderStatistics(officialDb *xorm.Engine, masterId int, date string) (m *model.MasterO2oOrderStatistics, err error) {
	m = new(model.MasterO2oOrderStatistics)
	has, err := officialDb.Where("master_id =?", masterId).And("date =?", date).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func MasterO2oOrderStatisticsUpdate(officialDb *xorm.Engine, id interface{}, m *model.MasterO2oOrderStatistics, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = officialDb.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = officialDb.Where("id=?", id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
