package model

type AlipayAppletList struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	MasterId                 string `json:"master_id" xorm:"not null default '' comment('站长ID') CHAR(50)"`
	Name                     string `json:"name" xorm:"not null default '' comment('小程序名字') VARCHAR(255)"`
	Icon                     string `json:"icon" xorm:"not null default '' comment('小程序logo') VARCHAR(255)"`
	AuthorizeAt              string `json:"authorize_at" xorm:"not null comment('授权时间') DATETIME"`
	Data                     string `json:"data" xorm:"comment('小程序详情信息(json字段)') TEXT"`
	AuditVersionState        int    `json:"audit_version_state" xorm:"not null default 0 comment('审核状态(0:暂无审核;1:审核中;2:审核通过;3:审核驳回)') TINYINT(3)"`
	PublishVersionNum        string `json:"publish_version_num" xorm:"comment('线上版本号') VARCHAR(255)"`
	AuditState               int    `json:"audit_state" xorm:"not null default 1 comment('小程序审核状态(0:未开启，1:已开启)') TINYINT(3)"`
	AliAppletAppAuthToken    string `json:"ali_applet_app_auth_token" xorm:"not null default '' comment('支付宝-授权给app的auth_token') VARCHAR(255)"`
	AliAppletAppRefreshToken string `json:"ali_applet_app_refresh_token" xorm:"not null default '' comment('refresh_token') VARCHAR(255)"`
	AliAppletAppId           string `json:"ali_applet_app_id" xorm:"not null default '' comment('isv支付宝的app_id') VARCHAR(255)"`
	AliAppletAuthAppId       string `json:"ali_applet_auth_app_id" xorm:"not null default '' comment('商家授权的支付宝app_id') VARCHAR(255)"`
	AliAppletUserId          string `json:"ali_applet_user_id" xorm:"not null default '' comment('商家的支付宝user_id') VARCHAR(255)"`
	AliAppletState           int    `json:"ali_applet_state" xorm:"not null default 0 comment('支付宝小程序授权状态 状态：0-未授权 1-已授权 2-授权失效') TINYINT(1)"`
	AliAppletAesKey          string `json:"ali_applet_aes_key" xorm:"not null default '' comment('支付宝aes ，用于解密用户敏感信息') VARCHAR(255)"`
	AuthorizeErrorMsg        string `json:"authorize_error_msg" xorm:"not null default '' comment('授权错误信息') VARCHAR(255)"`
	DevelopAccount           string `json:"develop_account" xorm:"not null default '' comment('开发者账号(未设置开发者账号，不允许进行打包)') CHAR(50)"`
	Ext                      string `json:"ext" xorm:"comment('拓展字段') TEXT"`
	UpdateAt                 string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	CreateAt                 string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	BottomNavCssId           int    `json:"bottom_nav_css_id" xorm:"default 0 comment('底部导航样式id') INT(11)"`
	MpAuditVersion           string `json:"mp_audit_version" xorm:"default '' comment('审核版本') VARCHAR(100)"`
	MpAuditCssId             int    `json:"mp_audit_css_id" xorm:"default 0 comment('审核版本底部样式ID') INT(11)"`
	AppletBgColor            string `json:"applet_bg_color" xorm:"default '' comment('导航栏/状态栏背景色') VARCHAR(100)"`
	AppletNavColor           string `json:"applet_nav_color" xorm:"default '' comment('导航栏/状态栏字体色') VARCHAR(100)"`
	MpAuditGoodsDetailCssId  int    `json:"mp_audit_goods_detail_css_id" xorm:"default 0 comment('审核版本商品详情样式ID') INT(11)"`
}
