package models

import "time"

type ServiceAwardReturnBase struct {
	Id                   int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	TimeType             int       `json:"time_type" xorm:"default 0 comment('0.每月统一返还（要选择哪一天） 1.按赠送购物金的具体时间每月返还') INT(1)"`
	Day                  string    `json:"day" xorm:"VARCHAR(255)"`
	ReturnType           int       `json:"return_type" xorm:"default 0 comment('0系统分期返还方式，    1手动设置返还方式') INT(1)"`
	CpsPeriod            int       `json:"cps_period" xorm:"default 0 INT(11)"`
	MallPeriod           int       `json:"mall_period" xorm:"default 0 INT(11)"`
	MemberUplvPeriod     int       `json:"member_uplv_period" xorm:"INT(11)"`
	NewMemberPeriod      int       `json:"new_member_period" xorm:"default 0 INT(11)"`
	AutoDate             time.Time `json:"auto_date" xorm:"DATETIME"`
	HandDate             time.Time `json:"hand_date" xorm:"DATETIME"`
	CoinId               int       `json:"coin_id" xorm:"default 0 INT(11)"`
	IsEnd                int       `json:"is_end" xorm:"default 0 INT(11)"`
	Bili                 string    `json:"bili" xorm:"decimal(20,2)"`
	MallBili             string    `json:"mall_bili" xorm:"decimal(20,2)"`
	HandCpsPeriod        int       `json:"hand_cps_period" xorm:"default 0 INT(11)"`
	HandMallPeriod       int       `json:"hand_mall_period" xorm:"default 0 INT(11)"`
	HandMemberUplvPeriod int       `json:"hand_member_uplv_period" xorm:"INT(11)"`
	HandNewMemberPeriod  int       `json:"hand_new_member_period" xorm:"default 0 INT(11)"`
	HandBili             string    `json:"hand_bili" xorm:"decimal(20,2)"`
	HandMallBili         string    `json:"hand_mall_bili" xorm:"decimal(20,2)"`
	MemberUplvBili       string    `json:"member_uplv_bili" xorm:"decimal(20,2)"`
	HandMemberUplvBili   string    `json:"hand_member_uplv_bili" xorm:"decimal(20,2)"`
}
