package models

import (
	"time"
)

type ServiceAwardReturnFlowHand struct {
	Id             int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid            int       `json:"uid" xorm:"default 0 INT(11)"`
	Time           time.Time `json:"time" xorm:"DATETIME"`
	UpdateTime     time.Time `json:"update_time" xorm:"DATETIME"`
	Sum            string    `json:"sum" xorm:"default 0.0000 comment('总待返') DECIMAL(30,4)"`
	HasReturnMoney string    `json:"has_return_money" xorm:"default 0.0000 comment('已返') DECIMAL(30,4)"`
	Price          string    `json:"price" xorm:"default 0.0000 comment('') DECIMAL(30,4)"`
	Period         int       `json:"period" xorm:"default 0 comment('期数') INT(11)"`
	EveryMoney     string    `json:"every_money" xorm:"default 0.0000 comment('平均分配金额') DECIMAL(30,4)"`
	HasPeriod      int       `json:"has_period" xorm:"default 0 comment('已返期数') INT(11)"`
	Type           int       `json:"type" xorm:"default 0 comment('0平均分期 1手动分期') INT(1)"`
	Pvd            int       `json:"pvd" xorm:"default 0 comment('0cps 1自营 2会员升级 3拉新') INT(11)"`
	CoinId         int       `json:"coin_id" xorm:"default 0 INT(11)"`
	Date           int       `json:"date" xorm:"default 0 comment('20240814') INT(11)"`
	LastDate       int       `json:"last_date" xorm:"default 0 comment('20240814') INT(11)"`
	Oid            int64     `json:"oid" xorm:"default 0 comment('20240814') INT(11)"`
}
