package models

type SuperCloudIssuanceUserRobotBindSource struct {
	Id                          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name                        string `json:"name" xorm:"not null default '' comment('源头名称') VARCHAR(255)"`
	ActivateGroupId             int    `json:"activate_group_id" xorm:"not null default '' comment('激活群id') VARCHAR(255)"`
	IsSee                       int    `json:"is_see" xorm:"not null default 1 comment('是否可见(1可见 2不可见)') TINYINT(1)"`
	IsUse                       int    `json:"is_use" xorm:"not null default 1 comment('是否可用(1正常转发 2暂停转发)') TINYINT(1)"`
	SendOrderNums               int    `json:"send_order_nums" xorm:"not null default 0 comment('发单量') INT(11)"`
	OutOrderNums                int    `json:"out_order_nums" xorm:"not null default 0 comment('出单量') INT(11)"`
	TransactionAmount           string `json:"transaction_amount" xorm:"not null default 0.0000 comment('成交金额') DECIMAL(8,4)"`
	TransactionCommissionAmount string `json:"transaction_commission_amount" xorm:"not null default 0.0000 comment('成交佣金金额') DECIMAL(8,4)"`
	FollowGroupNums             int    `json:"follow_group_nums" xorm:"not null default 0 comment('跟群数量') INT(11)"`
	WarningNums                 int    `json:"warning_nums" xorm:"not null default 0 comment('告警次数') INT(11)"`
	Desc                        string `json:"desc" xorm:"not null comment('源头介绍') TEXT"`
	CreateAt                    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
